Support » Plugin: WP Mail SMTP by WPForms » Fatal error on settings page

  • Resolved netspy

    (@netspy)


    If I try to open the WooCommerce settings page „integration“, I get this fatal PHP error:

    Stack trace:
    #0 /wordpress/wp-content/plugins/backwpup-pro/vendor/google/apiclient/src/Google/Service/Resource.php(217): Google_Client->getAuth()
    #1 /wordpress/wp-content/plugins/backwpup-pro/vendor/google/apiclient/src/Google/Service/Analytics.php(2151): Google_Service_Resource->call('list', Array, 'Google_Service_...')
    #2 /wordpress/wp-content/plugins/woocommerce-google-analytics-pro/includes/class-wc-google-analytics-pro-integration.php(2832): Google_Service_Analytics_ManagementAccountSummaries_Resource->listManagementAccountSummaries()
    #3 /wordpress/wp-content/plugins/woocommerce-google-analytics-pro/includes/clas" while reading response header from upstream, client: ***, server: ***, request: "GET /wp-admin/admin.php?page=wc-settings&tab=integration HTTP/2.0", upstream: "fastcgi://unix:/var/lib/php5-fpm/web2.sock:", host: "***", referrer: "https://***/wp-admin/admin.php?page=wc-settings"
    2018/06/30 20:55:38 [error] 24043#24043: *1347693 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Uncaught BadMethodCallException: This function no longer exists. See UPGRADING.md for more information in /wordpress/wp-content/plugins/wp-mail-smtp/vendor/google/apiclient/src/Google/Client.php:492

    With deactivated WP Mail the settings page works fine.

Viewing 1 replies (of 1 total)
  • Plugin Author Slava Abakumov

    (@slaffik)

    WP Mail SMTP uses the latest version of the Google apiclient-services, while those other plugins – the old version (v1.1.x).
    As WP Mail SMTP is loading the last one (due to the nature WordPress loads plugins from /plugins directory – WP Mail SMTP generates that error.

    We will try to fix that in the future versions of our plugin.

    Meanwhile, if WP Mail SMTP 1.2.5 worked for you, you can go to this page: https://wordpress.org/plugins/wp-mail-smtp/advanced/#plugin-download-history-stats – and download the previous version.

Viewing 1 replies (of 1 total)
  • The topic ‘Fatal error on settings page’ is closed to new replies.